﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Collections;
using System.Diagnostics;

namespace CustomOrderInGroup
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            xamDataGrid1.DataSource = new List<Data>
            {
                new Data { ID = 3, Abbreviation = "z" },
                new Data { ID = 3, Abbreviation = "a" },
                new Data { ID = 3, Abbreviation = "a" },
                new Data { ID = 1, Abbreviation = "b"},
                new Data { ID = 5, Abbreviation = "3v"},
                new Data { ID = 2, Abbreviation = "c"},
            };

        }
    }
    public class AbbreviationSortComparer : IComparer
    {
        public int Compare(object x, object y)
        {
            var gbX = x as GroupByRecord;
            var gbY = y as GroupByRecord;

            if (gbX == gbY)
                return 0;
            else if (gbX == null)
                return -1;
            else if (gbY == null)
                return 1;

            var summariesX = gbX.ChildRecords.SummaryResults;
            var summariesY = gbY.ChildRecords.SummaryResults;

            if (summariesX.Count != 0)
            {
                var result = Comparer.Default.Compare(summariesX[0].Value, summariesY[0].Value);

                if (result != 0)
                    return result;
            }

            return Comparer.Default.Compare(gbX.Value, gbY.Value);
        }
    }
    public class Data
    {
        public int ID { get; set; }
        public string Abbreviation { get; set; }
    }
}
